## mod-support 1.0.1-m2

=== Makefile ===
PACKAGE:=mod-support
VERSION:=0.10.13
# SOURCE:=gst-plugins-bad0.10_0.10.13-git209-0maemo16+0m5.tar.gz
SOURCE:=gst-plugins-bad-0.10.13.tar.bz2
URLS:=http://gstreamer.freedesktop.org/src/gst-plugins-bad/

include ../Rules.make

## mod-support 1.0.1

=== debian/changelog ===
mod-support (1.0.1) unstable; urgency=low

  * Fixes so builder is happy
  * Delete all mime types on remove

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 18 Dec 2009 13:24:00 +0200

mod-support (1.0.0) unstable; urgency=low

  * Initial release

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 18 Dec 2009 12:00:00 +0200

=== debian/control ===
Source: mod-support
Section: libs
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), libgstreamer0.10-dev (>= 0.10.23), libgstreamer-plugins-base0.10-dev, libmodplug-dev, liboil0.3-dev (>= 0.3.8)
Standards-Version: 3.6.0

Package: mod-support
Architecture: any
Depends: ${shlibs:Depends}, libgstmodplug0.10, libmodplug0c2, tracker-distutils
Section: user/multimedia
XB-Maemo-Display-Name: MOD Support
Description: Tracker music support for media player.
 This package adds support for playing tracker music files:
 * Amiga .MOD files
 * ScreamTracker .S3M files
 * Impulse Tracker .IT files
 * Fast Tracker 2 .XM files
 * + all other formats supported by modplug

Package: libgstmodplug0.10
Section: libs
Architecture: any
XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2
Description: This package adds the gstreamer modplug plugin
 This package adds the gstreamer modplug plugin so tracker music can be played.

## mod-support 1.0.1-m1

=== debian/changelog ===
mod-support (1.0.1-m1) unstable; urgency=low

  * Add icon for applications manager
  * Add bug report address

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 18 Dec 2009 13:24:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Depends: ${shlibs:Depends}, libgstmodplug0.10, libmodplug0c2, tracker-distutils
 Section: user/multimedia
 XB-Maemo-Display-Name: MOD Support
+XSBC-Bugtracker: milang@tal.org
 Description: Tracker music support for media player.
  This package adds support for playing tracker music files:
  * Amiga .MOD files
@@ -17,6 +18,86 @@
  * Impulse Tracker .IT files
  * Fast Tracker 2 .XM files
  * + all other formats supported by modplug
+XB-Maemo-Icon-26:
+ MB5!.1PT*&@H````-24A$4@```#`````T"`8```#,D[N1````!&=!34$``+&/
+ M"_QA!0````EP2%ES```+$0``"Q$!?V1?D0````=T24U%!]$$%PTF#9A/P`8`
+ M``U%241!5'C:U9I_5)3GE<<_S`P,509%18)C04$ABN(Q_-"F*]D*&M@DIWNV
+ MV;,F35,333;^.FYKMUIW$XEDL_\8]QQKLIND:>*/Z)HFQ:3=COQ:37*.@(!@
+ MQ$28H:*"0B@",U3&F7?>NW^\,R\SPXB:GF;MXWD=YGF>^S[W/O?>[[WW>09@
+ M,R!WV?-3[J!)>WN[W"VMM[=7CAX]&A`D%9@`&&[&?!0@(L*?H]WI>]UN-X.#
+ M@QB-1FPV&ZM7KP9(`WH!-Z"&TQC^7(Q_U4WI[>TE,3&1DI(2WGGG'8#?`TE`
+ M;"1^#7<+XX'6U=6%B#!MVC2*BXO9NW<O9K/YID)$%$!1E#^)\:]*+R)XO5Z]
+ M?]JT:2Q;MHS2TAW$Q\='%"*B`,$O&1D9"?F[KZ^/LK(R;#9;"./!\\:C'QD9
+ M"6$XE%YPN]TA_?/GSR<W-X_MV[>'FU,4@!$H+2TM'>-,9K,9E\O%Q(D3<;E<
+ MF,UFHJ.CZ>KJ8MVZ=5RZ=(FS9\]26UM+?W\_V=G9^KQ(]#$Q,9A,)D9&1O!X
+ M//YQ)S$Q,?J\@8$!3IX\R=*E2Q%1=2',9C-F<PSY^?G8;#8ST.!W:I]I/`UX
+ MO5ZN7;NF]_?W][-V[5HV;-C`\\\_C\UFH[:VED.'#M'2TD)Y>3EGSY[%Z_4B
+ M(G@\'OK[^W7Z:]>N,65*`B*:V<3%68+6$[Q>#U.G3F7-FC7X?#ZBH@)`"=_X
+ M1BPF4S3`<\#KP#"@F,;S`451F#Y].KV]O8@(BJ+H.U]65D9N;BX[=^X$X/#A
+ MPWSTT4<A=JS1)]+;^Z7>W]O[)0#3IT\'!!%(2$B@IZ>7R9,3>.BAATA-367B
+ MQ`F("$-#3CP>#U%14;SUUEL!%B?[S6AX7`TD)B8B(O[%H*FIB<3$1-Y[[SUL
+ M-AL-#0TT-#20FYN+W6XG.SL;`(_'@XCXZ='IIT_7O@?'".U3]#&SV4Q*2@I6
+ MJQ6WV\W(R'6=K^[N8LK+RP%B`!.!_R()$`D.#QPXP+QY\Q`1BHN+*2XN!L!F
+ M^QW[]NUCSYX]NJ:",(9(R*K9>&B?JJJ`1B^B$A,30TQ,C-\OKY.2DA(<@,>B
+ M4#B4.1P.['8[=KL=$<%NMU-04(##X="_BPA7KEQEXL2)S)T[%Q!=`QJM`X?#
+ M`0@.AYWV]G;:V]M9N?)!=N_>#0AV>SMV>[O_O0$-HJ=&JJH2$Q.+Q^,9LQ&F
+ M\+`?$$!$2$]/IZRLC%V[=J$H"A:+A9*2$I*3DP&8,V<.`#4U-2Q:M(CT]'1$
+ M1GUHSIQT?9=554A+2_>;V`U.G#A!<G(R/I^J]VM:45$4KVY:HX*`R3368`R1
+ M@E&``1&AM+249<N6X7:[Z>OK"S*+T:>[NYM5JU;I.Q;8@`#:B*CZF(BP;MUZ
+ MW?&UR*NBJJI_/GB]2A",RK@1/BR0B0Y_`8+2TE(^_?13XN+BV+%C!_?<<P\B
+ M\-)++Y&0D(#%8J&MK8WL[.P@!KSZ;HX*HFE!57T</_Z_&(U&`+9NW1IB+B(J
+ M7J]'IPD/>+<TH8`&.AQMB$#6_'MI;*C7QXZ6?\#"A0MY\<47*2DIP6:SX7:[
+ M.7;L?R@H*``1.B_\'DO<!`#.GFUEP8+Y&C-`:VLK+I<+G\\'0'EY.4?+/\!@
+ M,)"5E16$@FH08MT\#3$$[WY``]H.0G-S"PL7+J2YN04!3C>WX%5\"+!ITT:.
+ M'S_.A`D3>/31[['LKY;1?+H9$?#Y%$!H;FYF?M9\3C>?08"6EA84Q<OUZR-,
+ MG3I57[FT="=96?,Y<^:,CD*J2H@)BOC&%R"@LI!(K"B<:FC$Z_>)Q8L7H2A:
+ MU%R_[CF:3S?2V%#/(X\\K-F^$HC`7GRJX/$J-#8V:C2BLB@[FY$1-XJB\/,]
+ M_\%/MOQ80[N.#LZ<^<QO^^)'&PGRC=OR@5%;4Q0%0=O)O+P<;4=%J*NMQZ?X
+ MJ*NM#['QW)P<:NOJR;DO!U54%+\&?(I";LY]*'[&ZNOK^?##CP#(RLKBB2>^
+ MS_Y];Y.4E,3^`P>Y+V<Q@N;$JBIA3LRM?&!4$*_70UK:'-+2-)A,2YL+0+N]
+ M@P<?7!GV,FV!V6GI^D(='9W,GCV'6;/2`)@U.UW_W%GV;U@L%KUO=EH:R3.L
+ M;-_^+Z2FSO;'GPL1?."V-1`J3&5E!145%:BJRJ9-FZBLK`I!#`U9A,K*JJ`=
+ M4_5(6U553555%:JJ4E55S<#``+&QL;JV557(R<DA*2EIC"\&?][2B<.A3$0X
+ M=JR"HJ(5K%A1!`C?_.9,=N_>S;%C%:BJ4%%1B8A*554E146%5%96Z@*)B+]_
+ M.86%A8A`86$AP\/#6*U61$:%KJZNX>677Z:ZNCK(:?\$&-4(@X-/(!T>0%55
+ MCAPY0E-3(]NV;=,7";;98#I5'56_S68#8/_^?:BJ4%BX7*>Q6I,Y?_[S$*9#
+ M>;LM$])4'Q6E";%BQ4HJ*ZNHK*S4^Q]XX`$N7[Z,P]'!VK7/(*)25%1$=745
+ M144K](5552@J*J2FIIJ:FAI$A$.'#A$5%45;6UL00\+RY<NIJ:EA^?*`0%$Z
+ MX[="(=-H)C@Z08N2&E%14:%N%I,G)_#**[L`J*BHY/WW?Z6;7F%AH>YX=74:
+ MVER^?)G.SDZ2DY/IZ^NCL;$1B\7"=[ZS/(@A[5/KT[X;#$9_9LJX]A^63H<*
+ M$!!(,Z6QCA[PBV!S$8'77GN5P<%!"@H*&!H:XL2)$]36UK)NW7JBHZ.Q6"Q!
+ M=*$($UC39#)&2,7EUC`:L#6CT8B(2FUMG3YQZ=(E.)TN:FMK_=^78K%8$!&]
+ M+Y"9?O>[?TMZ>CH7+ES`9#+IR:''XV'1HD74U=6Q9,D2ZNOK6;(DG[JZT50E
+ M+R_/O[[<F08".RVBJ5`$AH==O/#"#EI;6UFP8`$^GX\E2Y;JFLC/ST=$_$6X
+ M]HZA(2<.AP.7RT5[>SM-34VX7"Z=H5=>V<7,F59`R,O+0U55\O/S0F*+T6@:
+ M4PB%6L)-?4"CB([67K!^_08.'CS(QQ]_3%E9&1,F3`C"YE'U!^_6(X\\S/[]
+ M!S"93%R^?#GD6`5@YDQKR%KA9B2BF=!H$%/'3>@,-_<!C3#`/$!\?'Q0BBP1
+ M<_:-&S?PV&.KF#1I$CZ?CYB8&/+R<GGMM5?I[>W1R\;0&D1"F-0$"*T1;L.$
+ M1G<SD*N_^NI>MF[=!L""!5D\_?0:OOCB/)F9F6&Q0VAK:R,C0^LO*2EF\^;-
+ M`+2UM2$B9&9FT-9V'A'(S,P(JX^U>9F9&?KZMW+>")%XM/@(.%%*2@J'#[_+
+ MJ5/U?/+))SSYY`\P&`QZ+1RH=>WV#C(R,O1:6;-AK:8V&@TZ0QD9&9A,1CHZ
+ M.O1Q$:&CPT%&QEP<C@Y$P&`PAB#5>"?=$2.Q5GMJ.S%K5JH_#JAT=G;J=3`(
+ MZ>EIB`@FDT$77,-Q`ZJJ8C0:24U-U9FY>/&BO_X5O>8>W7'!:#0`$@2CMSZF
+ MU^\'!@<'],E=7=W,G#D#5=7J70"KU4I75Y=.:+7."#&][NYNDI-G\%E+$U]7
+ M^^UO?AWI5$+%8(C2D6+&C!GZN-5J#7'`8`1+3IZAC_WBC;U?BP!-S>="XT!@
+ M-XU&(YT7.@A'J/"\/#C]"'>W(Q_8N'JEFW_]V8\8'G8!L++X8=8\LP&`?_A>
+ M"7,S[N7Q)YYB>E(R4Z9,96"@GYZK5SET\)<X[&T<^<"F;Y;;/<*EBYU\6/X>
+ M38WU-S]6T7!8\X&AH2'_XT0$G,XAG$XG@X-#J*K@=#H!&'(Z&7(Z<3J'0@1*
+ MGF'EG[>]@,D4S:3)"3SV^.J0\2>?>I;Y6=GL?_L-?OC]OV/_VV^2M2";)U<_
+ M&S)OU:-_PY;-_XC/I_#3GY7RK6\71!8@&$9%--S7'BU_B8NS$!=G(3X^'@!+
+ MO`5!B(^W^)_X4!4WUG/OO`6LW_AC?OC4LWSQ16O(>$J*5H&UG3^'QW.#MO/G
+ M`/3*++CU]_^!7[RNF>:C?__X^$5]``V"JZ9@<Q'_OS%@'H86;_[7'O[XQV&^
+ MO>RO6;PXCS=?_WG(>&QLK*;!H4$`!OV?9G]_>.OIO:H=$B<E1\Y&1R-A-"FI
+ M:1&C9'A@"3UEAG-GS^AC`P/7^,^]N\G+_Q:-#74,7.L?<Y$2&QM+?/PDAH8&
+ MF3QI,@`WW.Z(`B0EW0/`U2M=XQ7UF@9&\_&QC`<+<ZM+O893M32<JHTX=NGB
+ M!3(RYW'OO"R:3S>2.4\[V+IX\<*8N5.F3&/-,QL1$7YUY-W(&@A'E<A,CV7\
+ M=L-^>-O_]AL\_H.G6?WT<_SH)U,9&+C&Y^<^X]T#OPR9]]_O_XX;;C>=G1W\
+ M^TO/<R8HUNB!K*?GZC@,$Y:`W0P\X?/6S_Y_XL#8BP@)NWRXO0+CM[_Y-4W-
+ MY[ZV:*QKX.K5*Q$<E%N>RT1RZ),G3^+U*K?QTX,[,[DOO_P#6[9L`?@GH!\X
+ M;`*PV^W$^4^3[_3&/=*IV?WWWS\NXU_U-K^BHBKPYWF@57?BGIX>7"X7=W/K
+ M[N[6(W_XCMV-OQ<:[]D'/."_L3<&;OOR@(G^Z\NHNU@1`MSP__SF"C`<8#;!
+ MS[SQ+T``'S`"7`>4J*"<*(J_G":!'S_]'VB_!/N<)R2X`````$E%3D2N0F""
+ `
 
 Package: libgstmodplug0.10
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Make sure we get properly optimized
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

# DEB_TAR_SRCDIR:=gst-plugins-bad0.10-0.10.13-git209
DEB_TAR_SRCDIR:=gst-plugins-bad-0.10.13

include /usr/share/cdbs/1/rules/tarball.mk

DEB_CONFIGURE_EXTRA_FLAGS:=--disable-shave --disable-gtk-doc --disable-examples --disable-debug --enable-modplug
DEB_MAKE_INSTALL_TARGET = -C ext/modplug/ install DESTDIR=$(DEB_DESTDIR)
DEB_MAKE_BUILD_TARGET   = -C ext/modplug/ all

# argh, I so hate this crap
#common-configure-impl::
#	cd $(DEB_BUILDDIR) && NOCONFIGURE=true ./autogen.sh && rm Makefile config.status

install/mod-support::
	install -d -m 755 debian/tmp/usr/share/applications/
	install debian/mediaplayer-mod.desktop debian/tmp/usr/share/applications/

	install -d -m 755 debian/tmp/usr/share/icons/hicolor/48x48/mimetypes/
	install -m 644 debian/gnome-mime-audio-x-*.png debian/tmp/usr/share/icons/hicolor/48x48/mimetypes/

## mod-support 1.0.1-m2

=== debian/changelog ===
mod-support (1.0.1-m2) unstable; urgency=low

  * Fix icon
  * Make description a bit nicer
  * Use garage project for bugtracker

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 18 Dec 2009 12:55:00 +0200

## mod-support 1.0.1-m3

=== debian/changelog ===
mod-support (1.0.1-m3) unstable; urgency=low

  * Fix .desktop file inclusion

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 23 Dec 2009 11:53:00 +0200

=== debian/control ===
Source: mod-support
Section: libs
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), libgstreamer0.10-dev (>= 0.10.23), libgstreamer-plugins-base0.10-dev, libmodplug-dev, liboil0.3-dev (>= 0.3.8)
Standards-Version: 3.6.0

Package: mod-support
Architecture: any
Depends: ${shlibs:Depends}, libgstmodplug0.10, libmodplug0c2, tracker-distutils
Section: user/multimedia
XB-Maemo-Display-Name: MOD Support
XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
Description: Tracker music support for media player.
 This package adds support for playing tracker music files:
 Amiga .MOD files, ScreamTracker .S3M files, Impulse Tracker .IT files, Fast Tracker 2 .XM files and all other formats supported by modplug.
 Read more about trackers here: http://en.wikipedia.org/wiki/Tracker_(music_software)
 You can find some music here: http://modarchive.org/
XB-Maemo-Icon-26:
 MB5!.1PT*&@H````-24A$4@```#`````P"`8```!7`OF'`````7-21T(`KLX<
 MZ0````9B2T=$`/\`_P#_H+VGDP````EP2%ES```+$0``"Q$!?V1?D0````=T
 M24U%!]D,%0DR-P'.9QH```RN241!5&C>U9E]5)37G<<_,,,,50=%10)C00$K
 M@N))>+.G*]D*&EB3TSUIMFO2;&O4I/%MV\;N:MU-))+-_F/<76O239HW7Z)K
 MFA23IAEY6\W).0X$$(S:"C-4(A`9*?(R5L:99Y[?_O',/,P,B":>YKCWG.'A
 MN??^[OW^[N_]/@#2WMXN=TISN5QR].A1`01(!28!T=R@10$B(OPEVA==U^/Q
 M,#@XB,%@P&:SL7KU:H`TP`5X`#62)OHO!?S+'HK+Y2(A(8&RLC+>?/--@#\"
 MB4#L>'BC[Q3@P=;=W8V(,'/F3$I+2]F[=R]FL_F&3(S+@*(HMP7\R]*+"#Z?
 M3^^?.7,F2Y<NI;Q\!W%Q<>,R,2X#H8N,C(R$_=_7UT=%104VFRT,>.B\B>A'
 M1D;"`(?3"QZ/)ZP_*RN+O+Q\MF_?'JE.40`&H+R\O'R,,9G-9MQN-Y,G3\;M
 M=F,VFXF)B:&[NYOUZ]=S\>)%SIPY@]UNI[^_GYR<''W>>/0FDPFCT<C(R`A>
 MKS<P/HS)9-+G#0P,</+D298L68*(JC-A-ILQFTT4%!1@L]G,0&/`J/W&B23@
 M\_FX<N6*WM_?W\^Z=>O8N'$C3S_]-#:;#;O=SJ%#AVAM;:6RLI(S9\[@\_D0
 M$;Q>+_W]_3K]E2M7F#X]'A%-;:9,L83L)_A\7F;,F,':M6OQ^_U$104=)7SM
 M:[$8C3$`3P(O`U<!Q3B1#2B*PJQ9LW"Y7(@(BJ+H)U]144%>7AX[=^X$X/#A
 MP[S__OMA>JS1)^!R7=;[7:[+`,R:-0L01"`^/I[>7A?3IL6S<N5*4E-3F3QY
 M$B+"T-`P7J^7J*@H7GOMM2#$:0$UNCJA!!(2$A"1P&;0W-Q,0D(";[_]-C:;
 MC<;&1AH;&\G+R\/A<)"3DP.`U^M%1`+TZ/2S9FGOH3%">XH^9C:;24E)P6JU
 MXO%X&!FYIN/JZ2FELK(2P`08"?X9CX'QW.&!`P=8L&`!(D)I:2FEI:4`V&P?
 MLF_?/O;LV:-+*L3',)YGU70\O$]554"C%U$QF4R83*:`75XC)24E-`"/]4*1
 MKLSI=.)P.'`X'(@(#H>#HJ(BG$ZG_BXB?/[Y)29/GLR\>?,`T26@T3IQ.IV`
 MX'0Z:&]OI[V]G14K[F/W[MV`X'"TXW"T!]8-2I!`-B&HJHK)%(O7ZQUS$,;(
 ML!]D0$1(3T^GHJ*"7;MVH2@*%HN%LK(RDI*2`,C(R`"@KJZ.Q8L7DYZ>CLBH
 M#65DI.NGK*I"6EIZ0,6N<^+$"9*2DO#[5;U?DXJ*HOATU1IE!(S&L0H3/5XP
 M"@(0$<K+RUFZ="D>CX>^OKX0M1C]]?3TL&K5*OW$@@<0]#8BJCXF(JQ?OT$W
 M?"WRJJBJ&I@//I\2XD9EP@@?$<A$=W]!@O+R<C[^^&.F3)G"CAT[N.NNNQ"!
 MYYY[COCX>"P6"VUM;>3DY(0`\.FG.<J()@55]7/\^/]B,!@`V+IU:YBZB*CX
 M?%Z=)C+@W52%@A+H<+8A`ME9F30U-NAC1RO?9=&B13S[[+.4E95AL]GP>#P<
 M._8[BHJ*0(3."W_$,F42`&?.G&7APBP-#'#V[%G<;C=^OQ^`RLI*CE:^2W1T
 M--G9V2%>4`WQ6#=.0Z)#3S\H`>T$H:6EE46+%M'2THH`IUI:\2E^!-B\>1/'
 MCQ]GTJ1)//30=UGZ5TMI.=6""/C]"B"TM+20E9W%J9;3"-#:VHJB^+AV;809
 M,V;H.Y>7[R0[.XO3IT_K7DA5"5-!$?_$#`1%%A:)%85/&IOP!6SB[KL7HRA:
 MU-RP_DE:3C71U-C``P_<K^F^$HS`/ORJX/4I-#4U:32BLC@GAY$1#XJB\(L]
 M_\'/MCRE>;N.#DZ?_C2@^Q+P-A)B&[=D`Z.ZIB@*@G:2^?FYVHF*4&]OP*_X
 MJ;<WA.EX7FXN]OH&<N_)1145)2`!OZ*0EWL/2@!80T,#[[WW/@#9V=D\^NCW
 MV;_O#1(3$]E_X"#WY-Z-H!FQJDJ$$7,S&QAEQ.?SDI:605J:YB;3TN8!T.[H
 MX+[[5D0LIFTP-RU=WZBCHY.Y<S.8,R<-@#EST_7GSHI_PV*QZ'UST])(2K:R
 M??N_D)HZ-Q!_+HQC`[<L@7!FJJNKJ*JJ0E55-F_>3'5U39C'T#R+4%U=$W)B
 MJAYI:VIJJ:FI0555:FIJ&1@8(#8V5I>VJ@JYN;DD)B:.L<70YTV-.-*5B0C'
 MCE514K*<Y<M+`.'K7Y_-[MV[.7:L"E45JJJJ$5&IJ:FFI*28ZNIJG2$1"?0O
 MH[BX&!$H+B[FZM6K6*U61$:9KJVMX_GGGZ>VMC;$:&_#C6J$H<$GF`X/H*HJ
 M1XX<H;FYB6W;MNF;A.IL*)VJCHK?9K,!L'__/E15*"Y>IM-8K4F</__[,-#A
 MV&Y)A3311T5I3"Q?OH+JZAJJJZOU_GOOO9>NKBZ<S@[6K7L<$962DA)J:VLH
 M*5FN;ZRJ0DE),75UM=35U2$B'#ITB*BH*-K:VD(`"<N6+:.NKHYERX(,1>G`
 M;^:%C*.9X.@$+4IJ1"4EQ;I:3)L6SPLO[`*@JJJ:=][YM:YZQ<7%NN'5UVO>
 MIJNKB\[.3I*2DNCKZZ.IJ0F+Q<*WO[TL!)#VU/JT]^AH0R`S94+]CTBGPQD(
 M,J2ITEA##]I%J+J(P$LOO<C@X"!%144,#0UQXL0)['8[Z]=O("8F!HO%$D(7
 M[F&">QJ-AG%2<;FY&PWJFL%@0$3%;J_7)RY94LCPL!N[W1YX7X+%8D%$]+Y@
 M9OJ=[_PMZ>GI7+AP`:/1J">'7J^7Q8L74U]?3V%A(0T-#106%E!?/YJJY.?G
 M!_:7+R:!X$F+:"(4@:M7W3SSS`[.GCW+PH4+\?O]%!8NT2514%"`B`2*<&V-
 MH:%AG$XG;K>;]O9VFIN;<;O=.J`77MC%[-E60,C/ST=550H*\L-BB\%@'%,(
 MA6O"#6U`HXB)T1;8L&$C!P\>Y*.//J*BHH))DR:%^.91\8>>U@,/W,_^_0<P
 M&HUT=76%7:L`S)YM#=LK4HU$-!4:#6+JA`E=](UM0",,@@>(BXL+29%EW)Q]
 MTZ:-//SP*J9.G8K?[\=D,I&?G\=++[V(R]6KEXWA-8B$@=08"*\1;GJY.SP\
 MK`,Y?_X\F9F9U-75L77K-IQ.)PL79K-FS5J6+"ED_OSY$;%#.-7T"5]5^^"W
 MOV'/BZ_/!GK'L0%T(TI)2>'PX;<0T<I'557U.CDC(P.GTTE&1CH.1P<`K[ZR
 M]RMAH+GEW,216*L]-6\T9TYJ(`ZH='9VZG4P".GI:8@(1N.H)AYYU\:ESWOX
 MUY__E*M7W0"L*+V?M8]O!.#OOUO&O&]D\LBCCS$K,8GITV<P,-!/[Z5+'#KX
 M.DY'&T?>M>F8/)X1+G[6R7N5;]/<U'"SDE(C,AB,N@2ZNKKIZ>G1&>ON[M9O
 MD(,22TU-#5LC*=G*/VU[!J,QAJG3XGGXD=5AXS]X[`FRLG/8_\8K_/#[#[+_
 MC5^1O3"''ZQ^(FS>JH?^ABT__A%^O\(__[R<;WZK2!^K/O9!SS]N7../'GM#
 MK!(=':5[BN3D9)*3DQ$1K%8K5FLR5FMRF`&&1G&`YJ8&,A<L9,.FI_CA8T_P
 MAS^<#1M/2='2YK;SY_!ZK]-V7E.)8#H=VOK[_\2K+VNJ^=#?/:+WO_K*7G[W
 M84UX'`BZ,X/!0.>%#B(]5&1>'@D\V'[UWWO(_*^7^=;2O^;:G__,4S_Y$;EY
 MA?IX;&PL`$-#@P`,!I[F0']DZW5=TF[V$I,FSD9'W9AF`T-#P_K$N+@XAH>'
 M=.#:^S!Q<7$,#0^'+3HP<(5?[MU-?L$W:6JL9^!*_YC;[]C86.+BIC(T-,BT
 MJ=,`N.[QC,M`8N)=`%SZO/M6+K:"7D@#'5ID!&^3@\T29T$0XN(L#`\.AHTU
 M?F*G\1/[N(`N?G:!;\Q?0.:";%I.-3%_@78;\=EG%\;,G3Y])FL?WX2(\.LC
 M;]U*20D&0W18*(],987;^XRT_XU7>.0?UK!ZS9/\]&<S&!BXPN_/?<I;!UX/
 MF_<_[WS(=8^'SLX._OVYISG=VGSC0-;7Y](!*XJ"T6@<-TI&)E=!YLY^VOJ5
 MQH'<N[.CFEO.W5@"H_GX6."AS`09^."WOPD+,%]5TR5P^7+O.%YE/-"1"=QH
 M"7KRY$E\/N46OA=_,16\?/E/;-FR!>`GP'\"QN\]6.IO;CDWRD!O[Z4)`!.1
 M@'UY,+?33I\^P\J5*_G>@Z51054R`C@<#J8$[C*_Z/?>B>YL;B2!V_V6/"87
 MZNWMQ>UV<R>WGIZ>0,8,'1>ZPL9^'%;<WOF_?<!]@!4P!+\UY0.3`Q_/HNY@
 L00AP'3`#YT+K`6<`O.'_`0-^(!-0`/X/G2]S@B7.[>P`````245.1*Y"8((`
 `

Package: libgstmodplug0.10
Section: libs
Architecture: any
XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2
Description: This package adds the gstreamer modplug plugin
 This package adds the gstreamer modplug plugin so tracker music can be played.

## mod-support 1.0.2

=== debian/changelog ===
mod-support (1.0.2) unstable; urgency=low

  * Depend on tracker-extractor-mod and new libmodplug
  * Add missing audio/x-xm mime type to .desktop file

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 31 Dec 2009 11:43:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mod-support
 Architecture: any
-Depends: ${shlibs:Depends}, libgstmodplug0.10, libmodplug0c2, tracker-distutils
+Depends: ${shlibs:Depends}, libgstmodplug0.10, libmodplug0c2 (>= 0.8.7), tracker-distutils, tracker-extractor-mod (>=0.1)
 Section: user/multimedia
 XB-Maemo-Display-Name: MOD Support
 XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
@@ -98,7 +98,6 @@
 Section: libs
 Architecture: any
 XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
-Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2
+Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2 (>= 0.8.7)
 Description: This package adds the gstreamer modplug plugin
  This package adds the gstreamer modplug plugin so tracker music can be played.
-

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #	cd $(DEB_BUILDDIR) && NOCONFIGURE=true ./autogen.sh && rm Makefile config.status
 
 install/mod-support::
-	install -d -m 755 debian/tmp/usr/share/applications/
-	install debian/mediaplayer-mod.desktop debian/tmp/usr/share/applications/
+	install -d -m 755 debian/tmp/usr/share/applications/hildon/
+	install -m 644 debian/mediaplayer-mod.desktop debian/tmp/usr/share/applications/hildon/
 
 	install -d -m 755 debian/tmp/usr/share/icons/hicolor/48x48/mimetypes/
 	install -m 644 debian/gnome-mime-audio-x-*.png debian/tmp/usr/share/icons/hicolor/48x48/mimetypes/

## mod-support 1.0.3

=== Makefile ===
PACKAGE:=mod-support

include ../Rules.make

=== debian/changelog ===
mod-support (1.0.3) unstable; urgency=low

  * Depend on updated extractor
  * Split out gst module
  * No need for tracker restarts, Fix #4977

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 09 Feb 2010 14:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: extra
 Maintainer: Kaj-Michael Lang <milang@tal.org>
-Build-Depends: debhelper (>= 4.0.0), libgstreamer0.10-dev (>= 0.10.23), libgstreamer-plugins-base0.10-dev, libmodplug-dev, liboil0.3-dev (>= 0.3.8)
+Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.0
 
 Package: mod-support
 Architecture: any
-Depends: ${shlibs:Depends}, libgstmodplug0.10, libmodplug0c2 (>= 0.8.7), tracker-distutils, tracker-extractor-mod (>=0.1)
+Depends: ${shlibs:Depends}, gstreamer0.10-modplug (>= 0.10.13), libmodplug0c2 (>= 0.8.7), tracker-distutils, tracker-extractor-mod (>=0.2)
 Section: user/multimedia
 XB-Maemo-Display-Name: MOD Support
 XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
@@ -16,6 +16,7 @@
  Amiga .MOD files, ScreamTracker .S3M files, Impulse Tracker .IT files, Fast Tracker 2 .XM files and all other formats supported by modplug.
  Read more about trackers here: http://en.wikipedia.org/wiki/Tracker_(music_software)
  You can find some music here: http://modarchive.org/
+ As modules only support a title, a fake, "Various Artists - Tracker modules" album will be used, and also module type will be used as genre.
 XB-Maemo-Icon-26:
  MB5!.1PT*&@H````-24A$4@```#`````P"`8```!7`OF'`````7-21T(`KLX<
  MZ0````9B2T=$`/\`_P#_H+VGDP````EP2%ES```+$0``"Q$!?V1?D0````=T
@@ -93,11 +94,3 @@
  MZNWMQ>UV<R>WGIZ>0,8,'1>ZPL9^'%;<WOF_?<!]@!4P!+\UY0.3`Q_/HNY@
  L00AP'3`#YT+K`6<`O.'_`0-^(!-0`/X/G2]S@B7.[>P`````245.1*Y"8((`
  `
-
-Package: libgstmodplug0.10
-Section: libs
-Architecture: any
-XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
-Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.23), libmodplug0c2 (>= 0.8.7)
-Description: This package adds the gstreamer modplug plugin
- This package adds the gstreamer modplug plugin so tracker music can be played.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

install/mod-support::
	install -d -m 755 debian/tmp/usr/share/applications/hildon/
	install -m 644 debian/mediaplayer-mod.desktop debian/tmp/usr/share/applications/hildon/

	install -d -m 755 debian/tmp/usr/share/icons/hicolor/48x48/mimetypes/
	install -m 644 debian/gnome-mime-audio-x-*.png debian/tmp/usr/share/icons/hicolor/48x48/mimetypes/

## mod-support 1.0.4

=== debian/changelog ===
mod-support (1.0.4) stable; urgency=low

  * Use proper encoding for package icon
  * Adjust display name a bit

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 03 Mar 2010 20:24:00 +0200

=== debian/control ===
Source: mod-support
Section: user/multimedia
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: mod-support
Architecture: any
Depends: ${shlibs:Depends}, gstreamer0.10-modplug (>= 0.10.13), 
 libmodplug0c2 (>= 0.8.7), tracker-distutils, tracker-extractor-mod (>=0.2)
Section: user/multimedia
XB-Maemo-Display-Name: Tracker Music Module Support
XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
Description: Tracker music support for media player.
 This package adds support for playing tracker music files:
 Amiga .MOD files, ScreamTracker .S3M files, Impulse Tracker .IT files, Fast Tracker 2 .XM files and all other formats supported by modplug.
 Read more about trackers here: http://en.wikipedia.org/wiki/Tracker_(music_software)
 You can find some music here: http://modarchive.org/
 As modules only support a title, a fake, "Various Artists - Tracker modules" album will be used, and also module type will be used as genre.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEQAACxEBf2RfkQAAAAd0
 SU1FB9oDAxIUHA9pvNMAAAylSURBVGje1Zl7cFTXfcc/0q52FWAFAoQsLREg
 ifAQiLH1IpMiN0hgqdiTjuOm2HETDNgxryYxaSG0NjJy3X8wbSl2a8cvHobi
 2FHsOF70Kng8w0qWhISBBGlXQUaSkVCEHkvQsnv3/vrH3b27V1oENhMPPTOr
 q3vO+Z3z/Z3f+9wYQLhz22ygD/ACarQJMYCI/Hl4+KLrer1eBgcHMZlMOBwO
 1qxZA5AO9N6Iidg/F/Aveyi9vb0kJSVRWlrKm2++CfAHIBmIj4Y39k4BHmpd
 XV2ICNOnT6ekpIR9+/ZhtVpvyERUBhRFuS3gX5ZeRPD7/Xr/9OnTWbZsGWVl
 O0lISIjKRFQGIhcZGRkx/N/X10d5eTkOh8MAPHLeePQjIyMGwEZ6wev1GvoX
 LlxIbm4eO3bsGK1OMQAmoKysrGyMMVmtVjweDxMnTsTj8WC1WomLi6Orq4sN
 GzZw8eJFzpw5g9PppL+/n+zsbH1eNHqLxYLZbGZkZASfzxccH8ZisejzBgYG
 OHnyJEuXLkVE1ZmwWq1YrRby8/NxOBxWoCFo1AHzeBLw+/1cuXJF7+/v72f9
 +vVs2rSJp59+GofDgdPp5PDhw7S0tFBRUcGZM2fw+/2ICD6fj/7+fp3+ypUr
 TJ2aiIimNpMm2SL2E/x+H9OmTWPdunUEAgFiYkKOEr72tXjM5jiAJ4GXgauA
 Yh7PBhRFYcaMGfT29iIiKIqin3x5eTm5ubns2rULgCNHjvD+++8b9FijT6K3
 97Le39t7GYAZM2YAgggkJibS09PLlCmJrFq1ilmzZjFx4gREhKGhYXw+HzEx
 Mbz22mshiFOCanR1XAkkJSUhIsHNoKmpiaSkJN5++20cDgcNDQ00NDSQm5uL
 y+UiOzsbAJ/Ph4gE6dHpZ8zQ3iNjhPYUfcxqtZKWlobdbsfr9TIyck3H1d1d
 QkVFBYAFMBP6E42BaO7w4MGDLFiwABGhpKSEkpISAByOD9m/fz979+7VJRXh
 Y4jmWTUdN/apqgpo9CIqFosFi8UStMtrpKWlRQbgsV5otCtzu924XC5cLhci
 gsvlorCwELfbrb+LCJ9/fomJEycyd+5cQHQJaLRu3G43ILjdLtra2mhra2Pl
 yvvYs2cPILhcbbhcbcF1QxIkmOUIqqpiscTj8/nGHIR5dNgPMSAiZGRkUF5e
 zu7du1EUBZvNRmlpKSkpKQBkZmYCUFtby5IlS8jIyEAkbEOZmRn6KauqkJ6e
 EVSx65w4cYKUlBQCAVXv16Sioih+XbXCjIDZPFZhYqMFoxAAEaGsrIxly5bh
 9Xrp6+uLUIvwr7u7m9WrV+snFjqAkLcRUfUxEWHDho264WuRV0VV1eB88PuV
 CDcq40b4UYFMdPcXIigrK+Pjjz9m0qRJ7Ny5k7vuugsReO6550hMTMRms9Ha
 2kp2dnYEAL9+mmFGNCmoaoDjx/8Xk8kEwLZt2wzqIqLi9/t0mtEB76YqFJJA
 u7sVEchaOJ/Ghnp97NcV77J48WKeffZZSktLcTgceL1ejh37LYWFhSBCx4U/
 YJs0AYAzZ86yaNFCDQxw9uxZPB4PgUAAgIqKCn5d8S6xsbFkZWVFeEE1wmPd
 OA2JjTz9kAS0E4Tm5hYWL15Mc3MLApxqbsGvBBBgy5bNHD9+nAkTJvDQQ99l
 2V8so/lUMyIQCCiA0NzczMKshZxqPo0ALS0tKIqfa9dGmDZtmr5zWdkusrIW
 cvr0ad0LqSoGFRQJjM9ASGSGSKwofNLQiD9oE3ffvQRF0aLmxg1P0nyqkcaG
 eh544H5N95VQBPYTUAWfX6GxsVGjEZUl2dmMjHhRFIX/3Ptv/GzrU5q3a2/n
 9OlPg7ovQW8jEbZxSzYQ1jVFURC0k8zLy9FOVIQ6Zz0BJUCds96g47k5OTjr
 6sm5JwdVVJSgBAKKQm7OPShBYPX19bz33vsAZGVl8eij3+fA/jdITk7mwMFD
 3JNzN4JmxKoqo4yYm9lAmBG/30d6eibp6ZqbTE+fC0Cbq5377ls5ajFtgznp
 GfpG7e0dzJmTyezZ6VpdOCdDf+4q/xdsNpveNyc9nZRUOzt2/BOzZs0Jxp8L
 UWzgliVgZKaqqpLKykpUVWXLli1UVVUbPIbmWYSqquqIE1P1SFtdXUN1dTWq
 qlJdXcPAwADx8fG6tFVVyMnJITk5eYwtRj5vasSjXZmIcOxYJcXFK1ixohgQ
 vv71mezZs4djxypRVaGysgoRlerqKoqLi6iqqtIZEpFg/3KKiooQgaKiIq5e
 vYrdbkckzHRNTS3PP/88NTU1EUZ7G25UI4wMPqF0eABVVTl69ChNTY1s375d
 3yRSZyPpVDUsfofDAcCBA/tRVaGoaLlOY7encP787wygjdhuSYU00cfEaEys
 WLGSqqpqqqqq9P57772Xzs5O3O521q9/HBGV4uJiamqqKS5eoW+sqkJxcRG1
 tTXU1tYiIhw+fJiYmBhaW1sjAAnLly+ntraW5ctDDMXowG/mhczhTDA8QYuS
 GlFxcZGuFlOmJPLCC7sBqKys4p13fqmrXlFRkW54dXWat+ns7KSjo4OUlBT6
 +vpobGzEZrPx7W8vjwCkPbU+7T021hTMTLnptZXZGMjCDIQY0lRprKGH7CJS
 XUTgpZdeZHBwkMLCQoaGhjhx4gROp5MNGzYSFxeHzWaLoDN6mNCeZrMpSiou
 N3ejIV0zmUyIqDiddfrEpUsLGB724HQ6g+9LsdlsiIjeF8pMv/OdvyYjI4ML
 Fy5gNpv15NDn87FkyRLq6uooKCigvr6egoJ86urCqUpeXl5wf/liEgidtIgm
 QhG4etXDM8/s5OzZsyxatIhAIEBBwVJdEvn5+YhIsAjX1hgaGsbtduPxeGhr
 a6OpqQmPx6MDeuGF3cycaQeEvLw8VFUlPz/PEFtMJvOYQsioCTe0AY0iLk5b
 YOPGTRw6dIiPPvqI8vJyJkyYEOGbw+KPPK0HHrifAwcOYjab6ezsNFyrAMyc
 aTfsNVqNRDQVCgcxddyELvbGNqARhsADJCQkRKTIEjVn37x5Ew8/vJrJkycT
 CASwWCzk5eXy0ksv0tvbo5eNxhpEDCA1Bow1wo2afrk7PDysAzl//jzz58+n
 traWbdu243a7WbQoi7Vr17F0aQHz5s0bFTuEU42ffGVX1h/85lfsffH1mUBP
 FBtAN6K0tDSOHHkLEa18VFVVr5MzMzNxu91kZmbgcrUD8Oor+74SBpqaz40f
 ibXaU/NGs2fPCsYBlY6ODr0OBiEjIx0RwWwOa+LRdx1c+rybf/75T7l61QPA
 ypL7Wff4JgD+9rulzP3GfB559DFmJKcwdeo0Bgb66bl0icOHXsftauXouw4d
 k9c7wsXPOniv4m2aGutvVlJqRCaTWZdAZ2cX3d3dOmNdXV36DXJIYrNmzTKs
 kZJq5x+2P4PZHMfkKYk8/Mgaw/gPHnuChVnZHHjjFX74/Qc58MYvyFqUzQ/W
 PGGYt/qhv2Lrj39EIKDwjz8v45vfKtTHqo590P33m9YGYsfeEKvExsboniI1
 NZXU1FREBLvdjt2eit2eajDAyCgO0NRYz/wFi9i4+Sl++NgT/P73Zw3jaWla
 2tx6/hw+33Vaz2sqEUqnI1t//x959WVNNR/6m0f0/ldf2cdvP6w2xoGQOzOZ
 THRcaGe0hxqdl48GHmq/+O+9zP+Pl/nWsr/k2p/+xFM/+RE5uQX6eHx8PABD
 Q4MADAaf1mD/6NbTe0m72UtOGT8bDbsxzQaGhob1iQkJCQwPD+nAtfdhEhIS
 GBoeNiw6MHCF/9q3h7z8b9LYUMfAlf4xt9/x8fEkJExmaGiQKZOnAHDd643K
 QHLyXQBc+rzrVi62Ql5IAx1ZZIRuk0PNlmBDEBISbAwPDhrGGj5x0vCJMyqg
 i59d4BvzFjB/QRbNpxqZt0C7jfjsswtj5k6dOp11j29GRPjl0bdupaQEkynW
 EMpHp7Jymx82D7zxCo/83VrWrH2Sn/5sGgMDV/jduU956+Drhnn/886HXPd6
 6eho51+fe5rTLU03DmR9fb06YEVRMJvNUaPk6OQqxNzZT1u+0jiQc3dWTFPz
 uRtLIJyPjwUeyUyIgQ9+8ytDgPmqmi6By5d7oniVaKBHJ3DhEvTkyZP4/cot
 fC/+Yip4+fIf2bp1K8BPgH8HzN97sCTQ1HwuzEBPz6VxADMqAfvyYG6nnT59
 hlWrVvG9B0tiQqpkBnC5XEwK3mV+0e+9493Z3EgCt/steUwu1NPTg8fj4U5u
 3d3dwYwZ2i90GsZ+bChu7/zffuA+wA6YQt+a8oCJwY9nMXewIAS4DliBc5H1
 gDsI3vT/gIEAMB9QAP4PGFjjfU1qFEMAAAAASUVORK5CYII=
